Subject: bug#25129: 26.0.50; seq-some function

From: Pierre Lorenzon <[email-masked]>
Date: Wed, 07 Dec 2016 17:57:06 +0100 (CET)

From: Tino Calancha <[email-masked]>
Subject: Re: bug#25129: 26.0.50; seq-some function
Date: Wed, 7 Dec 2016 19:31:41 +0900 (JST)

> 
> 
> On Wed, 7 Dec 2016, Nicolas Petton wrote:
> 
>> Tino Calancha <[email-masked]> writes:
>>
>>> Nicolas Petton <[email-masked]> writes:
>>>
>>>> Pierre Lorenzon <[email-masked]> writes:
>>>>
>>>> Hi Pierre,
>>>>
>>>>> I well understand now that I must use seq-find instead of
>>>>> seq-some but I think that I will not be the only one being
>>>>> confused by these functions specifications !
>>>>
>>>> There is a mistake (extra if) in the documentation, I will fix
>>>> that.
>>>>
>>>> Other than that, is the following less confusing?
>>>>
>>>>   Return non-nil if PRED returns non-nil for at least one element
>>>>   of SEQUENCE.
>>>>   If so, return the value returned by PRED.
>>
>>> The previous doc string contains more information: it
>>> explicitely says
>>> that it returns the _first_ non-nil (PRED element).
>>
>> Indeed, what about:
>>
>>  Return non-nil if PRED returns non-nil for at least one element
>>  of SEQUENCE.
>>  If so, return the first non-nil value returned by PRED.
> Yeah better.
> The first line with the repetition of 'non-nil' sounds a little
> poetic.
> How about?
>  Return non-nil if PRED is satisfied for at least one element of
>  SEQUENCE.
>   If so, return the first non-nil value returned by PRED.
    OK that is in fact more precise.

    Pierre